
_HC595_reset:

	BCF         HC595_RES+0, BitPos(HC595_RES+0) 
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_HC595_reset0:
	DECFSZ      R13, 1, 1
	BRA         L_HC595_reset0
	DECFSZ      R12, 1, 1
	BRA         L_HC595_reset0
	NOP
	BSF         HC595_RES+0, BitPos(HC595_RES+0) 
L_end_HC595_reset:
	RETURN      0
; end of _HC595_reset

_HC595_load:

	BCF         HC595_LAT+0, BitPos(HC595_LAT+0) 
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_HC595_load1:
	DECFSZ      R13, 1, 1
	BRA         L_HC595_load1
	DECFSZ      R12, 1, 1
	BRA         L_HC595_load1
	NOP
	BSF         HC595_LAT+0, BitPos(HC595_LAT+0) 
L_end_HC595_load:
	RETURN      0
; end of _HC595_load

_seg_7_display:

	MOVLW       48
	SUBWF       FARG_seg_7_display_c+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__seg_7_display7
	MOVF        FARG_seg_7_display_c+0, 0 
	SUBLW       122
	BTFSS       STATUS+0, 0 
	GOTO        L__seg_7_display7
	GOTO        L_seg_7_display4
L__seg_7_display7:
	MOVLW       255
	MOVWF       R0 
	GOTO        L_end_seg_7_display
L_seg_7_display4:
	MOVLW       48
	SUBWF       FARG_seg_7_display_c+0, 0 
	MOVWF       R0 
	MOVLW       _dig_array+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_dig_array+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       seg_7_display_seg_L0+0 
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_seg_7_display5
	MOVLW       255
	MOVWF       R0 
	GOTO        L_end_seg_7_display
L_seg_7_display5:
	MOVF        seg_7_display_seg_L0+0, 0 
	MOVWF       FARG_seg7_send_byte_byte+0 
	CALL        _seg7_send_byte+0, 0
	CLRF        R0 
L_end_seg_7_display:
	RETURN      0
; end of _seg_7_display

_seg7_send_byte:

	MOVF        FARG_seg7_send_byte_sendbyte+0, 0 
	MOVWF       FARG_SPI_Write_data_out+0 
	CALL        _SPI_Write+0, 0
	CALL        _HC595_load+0, 0
L_end_seg7_send_byte:
	RETURN      0
; end of _seg7_send_byte
