#line 1 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC/7_Seg.c"
#line 1 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/pic/7_seg.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 57 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/pic/7_seg.h"
void HC595_reset( void );
void HC595_load( void );


int8_t seg_7_display( char c );


void seg7_send_byte ( uint8_t byte );
#line 39 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC/7_Seg.c"
 extern sfr sbit HC595_RES;
 extern sfr sbit HC595_LAT;
#line 48 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC/7_Seg.c"
 void HC595_reset()
 {
 HC595_RES = 0;
 Delay_ms(5);
 HC595_RES = 1;
 }

 void HC595_load()
 {
 HC595_LAT = 0;
 Delay_ms(5);
 HC595_LAT = 1;
 }

 char dig_array[ 75 ] =
 {
 0x3F, 0x06, 0x5B, 0x4F, 0x66, 0x6D, 0x7D, 0x07, 0x7F, 0x6F,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
 0x77, 0x7C, 0x39, 0x5E, 0x79, 0x71, 0x6F, 0x76, 0x30, 0x1E,
 0x76, 0x38, 0x15, 0x54, 0x3F, 0x73, 0x67, 0x50, 0x6D, 0x78,
 0x3E, 0x1C, 0x2A, 0x76, 0x6E, 0x5B,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
 0x77, 0x7C, 0x39, 0x5E, 0x79, 0x71, 0x6F, 0x76, 0x30, 0x1E,
 0x76, 0x38, 0x15, 0x54, 0x3F, 0x73, 0x67, 0x50, 0x6D, 0x78,
 0x3E, 0x1C, 0x2A, 0x76, 0x6E, 0x5B
 };

 int8_t seg_7_display(char c)
 {
 uint8_t index;
 uint8_t ret_value;
 char seg;

 if (c <  48  || c >  122 )
 return -1;

 index = c -  48 ;
 seg = dig_array[index];

 if (seg == 0)
 return -1;

 else seg7_send_byte(seg);

 return 0;
 }

 void seg7_send_byte (uint8_t sendbyte)
 {
 SPI_Write(sendbyte);
 HC595_load();
 }
